/*
 * Error.h - general error reporting function.
 *
 * Copyright (C) 1992, Christoph Streit (streit@iam.unibe.ch)
 *                     University of Berne, Switzerland
 * Copyright (C) 1989, 1991, Craig E. Kolb
 * All rights reserved.
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 * Adapted from Craig Kolbs rayshade.
 */

#ifndef Error_H
# define Error_H

#include "rcString.h"

enum errorType { ERR_ADVISE, ERR_WARN, ERR_ABORT, ERR_PANIC };

void Error(errorType, const rcString&);

#endif // Error_H
