/*
 * globals.h - global definitions.
 *
 * Copyright (C) 1992, Christoph Streit (streit@iam.unibe.ch)
 *                     University of Berne, Switzerland
 * All rights reserved.
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 */

#ifndef Globals_H
# define Globals_H

#define CPP_NAME "/usr/lib/cpp"

// Name of color file.
#define defaultColorFile  "colors.def"

// Name of environment variable, which indicates the location and the name
// of the color file.
#define COLOR_ENV  "COLORFILE"

#endif // Globals_H

