typedef union { double realnumber;
	 int intnumber;

	 Vector* vector;
	 TransMatrix* trans;
	 GeoObject* geoObject;
	 Hull* hull;
         DerivationList* derivations;
	 TableList* table_list;
	 Table* table;
	 ProductionList* prod_list;
         Production* production;
	 Predecessor* predecessor;
	 NameList* name_list;
	 SuccessorList* succ_list;
         Successor* successor;
	 ProdModuleList* module_list;
	 ProdModule* module;

	 ExpressionList* expr_list;
         Expression* expr;
         Value* value;
	 rcString* name;
       } YYSTYPE;
#define	tVALUE	258
#define	tNAME	259
#define	tCONSTANT	260
#define	tLSYSTEM	261
#define	tTABLE	262
#define	tCONST	263
#define	tATTRIBUTES	264
#define	tDERIVATION	265
#define	tAXIOM	266
#define	tPITCH	267
#define	tROLL	268
#define	tTURN	269
#define	tANGLE	270
#define	tFORWARD	271
#define	tRANDOMIZE	272
#define	tINFINITY	273
#define	tTROPISM	274
#define	tWEIGHT	275
#define	tEYE	276
#define	tLOOKAT	277
#define	tUP	278
#define	tFOV	279
#define	tCONERES	280
#define	tSPHERERES	281
#define	tHULL	282
#define	tSPHERE	283
#define	tTRIANGLE	284
#define	tPLANE	285
#define	tCYLINDER	286
#define	tCONE	287
#define	tTRANSLATE	288
#define	tROTATE	289
#define	tSCALE	290
#define	tTRANSFORM	291
#define	tSIN	292
#define	tCOS	293
#define	tTAN	294
#define	tASIN	295
#define	tACOS	296
#define	tATAN	297
#define	tABS	298
#define	tSQRT	299
#define	tEXP	300
#define	tLOG	301
#define	tLOG10	302
#define	tRAND	303
#define	tGAUSS	304
#define	tIF	305
#define	tTURTLEX	306
#define	tTURTLEY	307
#define	tTURTLEZ	308
#define	tSCOPE	309
#define	tAND	310
#define	tOR	311
#define	tEQ	312
#define	tNEQ	313
#define	tGEQ	314
#define	tLEQ	315
#define	tARROW	316
#define	tPOW	317
#define	tUMINUS	318


extern YYSTYPE yylval;
